# Pre-commit

This repo uses [pre-commit](https://pre-commit.com/). Install the tool with `pip install pre-commit` (or just `pip install -r requirements-dev.txt`), then install the hooks with `pre-commit install`

Not yet configured to run this in CI, as I'm the only contributor :P but I definitely should if I start getting contributions!

# To wipe the database:

```
delete from elo_scores;
delete from games;
delete from decks;
delete from players;
alter sequence decks_id_seq restart with 1;
alter sequence games_id_seq restart with 1;
alter sequence players_id_seq restart with 1;
alter sequence elo_scores_id_seq restart with 1;
```

To make connection:

```
k -n edh-elo port-forward svc/edh-elo-postgresql 5432:5432
psql -U db_user -d postgres -h localhost



# To copy the database out to local

```
$ docker cp edh-elo-server-1:/app/database/<name>
```
